%define upstream_name    Dist-Zilla-Plugin-Git-NextRelease
%define upstream_version 0.004000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Use time-stamp from Git instead of process start time
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(DateTime)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(FindBin)
BuildRequires: perl(Git::Wrapper::Plus)
BuildRequires: perl(Git::Wrapper::Plus::Support)
BuildRequires: perl(Git::Wrapper::Plus::Tester)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(String::Formatter)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module acts as a moderately thin wrapper to "[NextRelease]" so
that the time-stamps produced are generated by asking "git" for the
time-stamp of the current branch.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE Changes README META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-3.mga6
+ Revision: 1026212
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 966417
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.4.0-1.mga6
+ Revision: 844466
- update to 0.004000

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 739995
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 sander85 <sander85> 0.3.0-1.mga5
+ Revision: 670626
- update to 0.003000

* Sat Aug 16 2014 sander85 <sander85> 0.2.12-1.mga5
+ Revision: 664056
- update to 0.002012

* Thu Jul 17 2014 sander85 <sander85> 0.2.11-1.mga5
+ Revision: 653387
- update to 0.002011

* Mon Feb 17 2014 jquelin <jquelin> 0.2.10-1.mga5
+ Revision: 593936
- missing %%description
- imported package perl-Dist-Zilla-Plugin-Git-NextRelease


* Mon Feb 17 2014 cpan2dist 0.002010-1mga
- initial mageia release, generated with cpan2dist
